﻿@model CarRental.Core.Models.Car
@{
    ViewData["Title"] = "Rent Car";
    Layout = "~/Areas/Customer/Views/Shared/_LayoutCustomer.cshtml";
}

<section class="ftco-section bg-dark px-3">
    <div class="row">
        <div class="col-md-9">
            <span class="px-3">Booking details: </span>
            <p>Pick-up location: @TempData["PickupLocation"]</p>
            <p>Pick-up date and time: @TempData["PickupDate"]</p>
            <p>Return date and time: @TempData["DropOffDate"]</p>
        </div>
        <div class="col-md-3 text-right">
            <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
            <a href="#" class="text" style="color: #999999">
                Change details
            </a>
        </div>
    </div>
</section>

<section class="ftco-section bg-light signup-step-container">
    <div class="container">
        <div class="row d-flex justify-content-center">
            <div class="col-md-12">
                <div class="wizard">
                    <div class="wizard-inner">
                        <div class="connecting-line"></div>
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active">
                                <a href="#step1" data-toggle="tab"
                                   aria-controls="step1" role="tab"
                                   aria-expanded="true">
                                    <span class="round-tab">1 </span> <i>
                                        Step 1: Booking information
                                    </i>
                                </a>
                            </li>
                            <li role="presentation" class="disabled">
                                <a href="#step2" data-toggle="tab"
                                   aria-controls="step2" role="tab"
                                   aria-expanded="false">
                                    <span class="round-tab">2</span> <i>
                                        Step 2: Payment
                                    </i>
                                </a>
                            </li>
                            <li role="presentation" class="disabled">
                                <a href="#step3" data-toggle="tab"
                                   aria-controls="step3" role="tab">
                                    <span class="round-tab">3</span> <i>
                                        Step 3: Finish
                                    </i>
                                </a>
                            </li>
                        </ul>
                    </div>

                    <form role="form" method="post" class="login-box" asp-controller="Cars" asp-action="RentCar" asp-area="Customer">
                        <input type="hidden" name="PickupDate" value="@TempData["PickupDate"]" />
                        <input type="hidden" name="DropOffDate" value="@TempData["DropOffDate"]" />
                        <input type="hidden" name="BookingNo" value="@ViewBag.BookingNo" />
                        <input type="hidden" name="CarId" value="@TempData["CarID"]" />

                        <div class="tab-content" id="main_form">
                            <div class="tab-pane active" role="tabpanel"
                                 id="step1">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div id="imageCarousel"
                                             class="carousel slide"
                                             data-ride="carousel">
                                            <div class="carousel-inner">
                                                <div class="carousel-item active">
                                                    <img src="@ViewBag.FrontImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 1">
                                                </div>
                                                <div class="carousel-item">
                                                    <img src="@ViewBag.BackImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 2">
                                                </div>
                                                <div class="carousel-item">
                                                    <img src="@ViewBag.LeftImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 3">
                                                </div>
                                                <div class="carousel-item">
                                                    <img src="@ViewBag.RightImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 3">
                                                </div>
                                            </div>
                                            <a class="carousel-control-prev"
                                               href="#imageCarousel"
                                               role="button"
                                               data-slide="prev">
                                                <span class="carousel-control-prev-icon"
                                                      aria-hidden="true"></span>
                                                <span class="sr-only">Previous</span>
                                            </a>
                                            <a class="carousel-control-next"
                                               href="#imageCarousel"
                                               role="button"
                                               data-slide="next">
                                                <span class="carousel-control-next-icon"
                                                      aria-hidden="true"></span>
                                                <span class="sr-only">Next</span>
                                            </a>
                                        </div>
                                        <div class="car-details">
                                            <div class="text">
                                                <span class="subheading">@ViewBag.Car.BrandModel.Brand @ViewBag.Car.BrandModel.Model</span>
                                                <h2>@ViewBag.Car.CarName</h2>
                                            </div>
                                            <div class="text">
                                                <span>Ratings:</span>
                                                <span class="star">
                                                    <span>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                    </span>
                                                </span>
                                            </div>
                                            <div class="text">
                                                <span>No. of rides: 0</span>
                                            </div>
                                            <div class="text">
                                                <span>Price: @ViewBag.BasePrice VND/day</span>
                                            </div>
                                            <div class="text">
                                                <span>Locations: @ViewBag.Car.Address.Ward, @ViewBag.Car.Address.District, @ViewBag.Car.Address.City</span>
                                            </div>
                                            <div class="text">
                                                <span>
                                                    Status: <span style="color: green;">Available</span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <p class="text-right">Number of days: @ViewBag.TotalDays</p>
                                        <p class="text-right">Price per day: @string.Format("{0:N0} VND", @Model.BasePrice)</p>
                                        <hr>
                                        <p class="text-right">Total: @string.Format("{0:N0} VND", @ViewBag.TotalPrice)</p>
                                        <p class="text-right">Deposit: @string.Format("{0:N0} VND", @ViewBag.Deposit)</p>
                                    </div>
                                </div>
                                <hr>
                                <h4><b>Renter's Information</b></h4>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom01">
                                            Full name
                                        </label>
                                        <input type="text" class="form-control" value="@ViewBag.Name" name="RenterFullname" id="validationCustom01" required>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom02">
                                            Date of birth
                                        </label>
                                        <input type="date" class="form-control" value="@ViewBag.DOB.ToString("yyyy-MM-dd")" name="RenterDob" id="validationCustom02" required>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom03">
                                            Phone Number
                                        </label>
                                        <input type="text" class="form-control" value="@ViewBag.PhoneNo" name="RenterPhoneNumber" id="validationCustom03" required>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom04">
                                            Email Address
                                        </label>
                                        <input type="email" class="form-control" value="@ViewBag.Email" name="RenterEmail" id="validationCustom04" required>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-row mb-5">
                                    <div class="col-md-6">
                                        <label for="validationCustom05">
                                            National Id No.
                                        </label>
                                        <input type="text" class="form-control" value="@ViewBag.NationalID" name="RenterNationIdNumber" id="validationCustom05" required>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom06">
                                            Driving License:
                                        </label>
                                        <input type="file" class="form-control" id="validationCustom06" name="RenterDrivingLicense" id="validationCustom06" required>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                </div>
                                <label>Address: </label>
                                <div class="row mb-3">
                                    <div class="col-md-12">
                                        <select id="cityDropdown" name="RenterAddressCity"
                                                class="custom-select custom-select-lg mb-3"
                                                style="width: 50%;">
                                            <option selected value="@ViewBag.AddressCity">@ViewBag.AddressCity</option>
                                        </select>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <select id="districtDropdown" name="RenterAddressDistrict"
                                                class="custom-select custom-select-lg mb-3"
                                                style="width: 50%;">
                                            <option selected value="@ViewBag.AddressDistrict">@ViewBag.AddressDistrict</option>
                                        </select>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <select id="wardDropdown" name="RenterAddressWard"
                                                class="custom-select custom-select-lg mb-3"
                                                style="width: 50%;">
                                            <option selected value="@ViewBag.AddressWard">@ViewBag.AddressWard</option>
                                        </select>
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <label for="validationCustom07">
                                            House number, Street
                                        </label>
                                        <input type="text" class="form-control" value="@ViewBag.SpecificAddress" name="RenterSpecificAddress" id="validationCustom07" required style="width: 50%;">
                                        <div class="invalid-feedback">
                                        </div>
                                    </div>
                                </div>
                                <h4><b>Driver's Information</b></h4>
                                <input type="checkbox" name="diff"
                                       id="diff">
                                <label for="diff">
                                    Different than renter's information
                                </label>
                                <div id="driverInfo" style="display: none">
                                    <div class="form-row mb-3">
                                        <div class="col-md-6">
                                            <label for="validationCustom08">
                                                Full name
                                            </label>
                                            <input type="text" class="form-control" value="@ViewBag.Name" id="validationCustom08" name="DriverFullname">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <label for="validationCustom09">
                                                Date of birth
                                            </label>
                                            <input type="date" class="form-control" value="@ViewBag.DOB.ToString("yyyy-MM-dd")" id="validationCustom09" name="DriverDob">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-row mb-3">
                                        <div class="col-md-6">
                                            <label for="validationCustom10">
                                                Phone Number
                                            </label>
                                            <input type="text" class="form-control" value="@ViewBag.PhoneNo" id="validationCustom10" name="DriverPhoneNumber">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <label for="validationCustom11">
                                                Email Address
                                            </label>
                                            <input type="email" class="form-control" value="@ViewBag.Email" id="validationCustom11" name="DriverEmail">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-row mb-5">
                                        <div class="col-md-6">
                                            <label for="validationCustom12">
                                                National Id No.
                                            </label>
                                            <input type="text" class="form-control" value="@ViewBag.NationalID" id="validationCustom12" name="DriverNationIdNumber">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <label for="validationCustom13">
                                                Driving License:
                                            </label>
                                            <input type="file" class="form-control" id="validationCustom13" name="DriverDrivingLicense">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                    </div>
                                    <label>Address: </label>
                                    <div class="row mb-3">
                                        <div class="col-md-12">
                                            <select id="cityDropdownDriver" name="DriverAddressCity"
                                                    class="custom-select custom-select-lg mb-3"
                                                    style="width: 50%;">
                                                <option selected value="@ViewBag.AddressCity">@ViewBag.AddressCity</option>
                                            </select>
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <select id="districtDropdownDriver" name="DriverAddressDistrict"
                                                    class="custom-select custom-select-lg mb-3"
                                                    style="width: 50%;">
                                                <option selected value="@ViewBag.AddressDistrict">@ViewBag.AddressDistrict</option>
                                            </select>
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <select id="wardDropdownDriver" name="DriverAddressWard"
                                                    class="custom-select custom-select-lg mb-3"
                                                    style="width: 50%;">
                                                <option selected value="@ViewBag.AddressWard">@ViewBag.AddressWard</option>
                                            </select>
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <label for="validationCustom14">
                                                House number, Street
                                            </label>
                                            <input type="text" class="form-control" value="@ViewBag.SpecificAddress" id="validationCustom14" name="DriverSpecificAddress" required style="width: 50%;">
                                            <div class="invalid-feedback">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <ul class="list-inline pull-right">
                                    <li>
                                        <button type="button"
                                                class="default-btn prev-step">
                                            Cancel
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button"
                                                class="default-btn next-step">
                                            Next
                                        </button>
                                    </li>
                                </ul>
                            </div>
                            <div class="tab-pane" role="tabpanel"
                                 id="step2">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div id="imageCarousel"
                                             class="carousel slide"
                                             data-ride="carousel">
                                            <div class="carousel-inner">
                                                <div class="carousel-item active">
                                                    <img src="@ViewBag.FrontImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 1">
                                                </div>
                                                <div class="carousel-item">
                                                    <img src="@ViewBag.BackImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 2">
                                                </div>
                                                <div class="carousel-item">
                                                    <img src="@ViewBag.LeftImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 3">
                                                </div>
                                                <div class="carousel-item">
                                                    <img src="@ViewBag.RightImgRent"
                                                         class="d-block w-100"
                                                         alt="Image 4">
                                                </div>
                                            </div>
                                            <a class="carousel-control-prev"
                                               href="#imageCarousel"
                                               role="button"
                                               data-slide="prev">
                                                <span class="carousel-control-prev-icon"
                                                      aria-hidden="true"></span>
                                                <span class="sr-only">Previous</span>
                                            </a>
                                            <a class="carousel-control-next"
                                               href="#imageCarousel"
                                               role="button"
                                               data-slide="next">
                                                <span class="carousel-control-next-icon"
                                                      aria-hidden="true"></span>
                                                <span class="sr-only">Next</span>
                                            </a>
                                        </div>
                                        <div class="car-details">
                                            <div class="text">
                                                <span class="subheading">@ViewBag.Car.BrandModel.Brand @ViewBag.Car.BrandModel.Model</span>
                                                <h2>@ViewBag.Car.BrandModel.Model</h2>
                                            </div>
                                            <div class="text">
                                                <span>Ratings:</span>
                                                <span class="star">
                                                    <span>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                    </span>
                                                </span>
                                            </div>
                                            <div class="text">
                                                <span>No. of rides: 0</span>
                                            </div>
                                            <div class="text">
                                                <span>Price: @ViewBag.BasePrice k/day</span>
                                            </div>
                                            <div class="text">
                                                <span>Locations: @ViewBag.Car.Address.Ward, @ViewBag.Car.Address.District, @ViewBag.Car.Address.City</span>
                                            </div>
                                            <div class="text">
                                                <span>
                                                    Status: <span style="color: green;">Available</span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <p class="text-right">Number of days: @ViewBag.TotalDays</p>
                                        <p class="text-right">Price per day: @string.Format("{0:N0} VND", @Model.BasePrice)</p>
                                        <hr>
                                        <p class="text-right">Total: @string.Format("{0:N0} VND", @ViewBag.TotalPrice)</p>
                                        <p class="text-right">Deposit: @string.Format("{0:N0} VND", @ViewBag.Deposit)</p>
                                    </div>
                                </div>
                                <hr>
                                <strong>
                                    Please select your payment
                                    method
                                </strong>
                                <div>
                                    <input type="radio" id="radio1"
                                           name="radioGroup"
                                           value="option1">
                                    <label style="font-size: 18px;"
                                           for="radio1">My wallet</label>
                                    <p style="font-size: 14px; text-align: left;">
                                        Current
                                        balance: <span style="color: green;">@string.Format("{0:N0} VND", @ViewBag.Wallet)</span>
                                        VND
                                    </p>
                                </div>

                                <div>
                                    <input type="radio" id="radio2"
                                           name="radioGroup"
                                           value="option2">
                                    <label style="font-size: 18px;"
                                           for="radio1">Cash</label>
                                    <p style="font-size: 14px; text-align: left;">
                                        Our
                                        operator will contact you for
                                        further instruction
                                    </p>
                                </div>

                                <div>
                                    <input type="radio" id="radio3"
                                           name="radioGroup"
                                           value="option3">
                                    <label style="font-size: 18px;"
                                           for="radio1">Bank transfer</label>
                                    <p style="font-size: 14px; text-align: left;">
                                        Our
                                        operator will contact you for
                                        further instruction
                                    </p>
                                </div>

                                <ul class="list-inline pull-right">
                                    <li>
                                        <button type="button"
                                                class="default-btn prev-step">
                                            Cancel
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button"
                                                class="default-btn next-step">
                                            Confirm
                                            payment
                                        </button>
                                    </li>
                                </ul>
                            </div>
                            <div class="tab-pane" role="tabpanel"
                                 id="step3">
                                <p class="text-left">
                                    You've successfully booked @ViewBag.Car.CarName from @ViewBag.PickupDate to @ViewBag.DropOffDate
                                </p>
                                <p class="text-left">
                                    Your booking number is: @ViewBag.BookingNo
                                </p>
                                <p class="text-left">
                                    Our operator will contact you with further guidance about pickup.
                                </p>
                                <ul class="list-inline text-center">
                                    <li>
                                        <button type="button"
                                                class="default-btn prev-step">
                                            Go to homepage
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button"
                                                class="skip-btn prev-step">
                                            Book another car
                                        </button>
                                    </li>
                                    <li>
                                        <button type="submit" class="default-btn next-step text-white">Submit</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>